/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.ee;

import java.util.HashMap;

import junit.framework.TestCase;

public class EEUtilsTest extends TestCase {

	public void testEl() {
		final EEContext context0 = new EEContext();
		context0.setId("id0");
		context0.setConfig(new HashMap<String, Object>());
		context0.setContainer(new HashMap());
		context0.setInput(new HashMap());

		assertEquals(context0.getContainer(), EEUtils.CONTAINER_EL
				.getValue(context0));
		assertEquals(context0.getInput(), EEUtils.INPUT_EL
				.getValue(context0));
		assertEquals(context0.getLocal(), EEUtils.LOCAL_EL
				.getValue(context0));
	}
}
